HTTP(S) hyperevm_tx
Submit Hyperliquid EVM Mainnet transactions using the hyperevm_tx method over HTTP or HTTPS through bloXroute’s Blockchain Distribution Network (BDN).
Submit Hyperliquid EVM Mainnet transactions via the hyperevm_tx JSON-RPC method.
HTTPS endpoint: https://api.blxrbdn.com
HTTP endpoint: http://api.blxrbdn.com
Method: POST
Content-Type: application/json
You may also send to IP-specific endpoints (for example: https://<IP> or http://<IP>).
Authorizations
AuthorizationstringRequired
Authorization header containing your bloXroute auth token, e.g. Authorization: <YOUR-AUTHORIZATION-HEADER>.
Body
JSON-RPC request body for hyperevm_tx.
jsonrpcconst: 2.0Required
idintegerRequired
methodstring · enumRequiredPossible values:
Responses
200
JSON-RPC success response
application/json
post
/curl -X POST https://api.blxrbdn.com/ \
-H "Authorization: <YOUR-AUTHORIZATION-HEADER>" \
-H "Content-Type: application/json" \
-d '{
"jsonrpc": "2.0",
"id": 1,
"method": "hyperevm_tx",
"params": {
"transaction": "f86b0184...e0b58219",
"backrunme_reward_address": "0xYourRewardAddressHere"
}
}'
200
JSON-RPC success response
{
"jsonrpc": "2.0",
"id": 1,
"result": {
"tx_hash": "ffd59870844e5...bfa54a69"
}
}Last updated